Cyberduck Mountain Duck CLI

#215 closed defect (fixed)

directory with acl applied (on Solaris 8) not visible

Reported by: slegdon Owned by: dkocher
Priority: normal Milestone: 2.8
Component: ftp Version: 2.5.4
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

After a directory has had default permissions set using an access control list on a remote Solaris server as follows:

setfacl -m d:u::rwx,d:g::rwx,d:o:r-x /Target/Directory

it no longer appears in the file listing when viewed using Cyberduck. Mac OS X command line ftp client sees the directory and allows it to be written to as expected.

Mac OS X 10.4.5 (PowerPC) client. I have not attempted to verified this with any other server OS.

Change History (6)

comment:1 Changed on Feb 20, 2006 at 3:52:48 PM by dkocher

  • Status changed from new to assigned

What does a ls -l in the parent directory look like?

comment:2 Changed on Mar 9, 2006 at 5:56:23 PM by slegdon

permissions mask for the directory is

drwxrwsr-x+

the trailing + which denotes an ACL being attached is the only difference between this directory and the others along side it.

comment:3 Changed on Mar 24, 2006 at 3:05:14 PM by dkocher

  • Component changed from core to ftp
  • Milestone set to 2.6

comment:4 Changed on Sep 1, 2006 at 9:32:40 PM by cristol@…

This problem is still present in 2.6.1 (2376). I have identical findings to those of slegdon. Directories using the solaris ACLs have a "+" suffix appended to the permission string. Directories with the "+" are not listed in Cyberduck's directory listing. These two directories have the same parent, but only "MOLECULAR_VISION" appears in Cyberduck's listing:

drwxrwsr-x   2 cristol  molvis        96 Aug 16  1999 MOLECULAR_VISION
drwxrwsr-x+ 34 cristol  molvis      3072 Jul 12 20:16 molvis

These lines are taken from the Cyberduck log drawer.

comment:5 Changed on May 18, 2007 at 3:16:48 PM by dkocher

  • Milestone changed from 2.9 to 2.8
  • Resolution set to fixed
  • Status changed from assigned to closed

Added testcase in r2987. Seems to work now.

Note: See TracTickets for help on using tickets.
swiss made software